---
title: "CompileUiExtensions"
generated: true
---
<GenerationInfo sourceFile="packages/ui-devkit/src/compiler/compile.ts" sourceLine="36" packageName="@vendure/ui-devkit" />

Compiles the Admin UI app with the specified extensions.

```ts title="Signature"
function compileUiExtensions(options: UiExtensionCompilerOptions): AdminUiAppConfig | AdminUiAppDevModeConfig
```
Parameters

### options

<MemberInfo kind="parameter" type={`<a href='/reference/admin-ui-api/ui-devkit/ui-extension-compiler-options#uiextensioncompileroptions'>UiExtensionCompilerOptions</a>`} />

